
Figure - Bug #115070
【AF】【EVT】【设置】【声音】【高概率】用于播放音乐内容的设备在切换时，切换页面下沉
2023-01-04 15:53 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-04

Priority: Normal Due date: 2023-01-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301040304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

Reproducibility: Frequently Fixed Version: 2023-01-17

Test Type: ST Root cause: 原生问题，动态设置margin导致

Description

【前提条件】

1.设备已开机

2.有本地音乐

【测试步骤】

1.连接1个蓝牙音响、连接1个蓝牙耳机，选中蓝牙耳机并播放音乐

2.进入设置-声音-用于播放音乐内容的设备，切换到蓝牙音响

3.观察页面显示

【预期结果】

3.切换蓝牙音响播放音乐，且切换页面不下沉

【实际结果】

3.切换页面下沉后上浮

【复现概率】2/8

History

#1 - 2023-01-04 15:55 - CDTS_TEST 刘勇

- Assignee changed from CD AF-陈羽杰 to CD FW-廖涛

问题发生时间点：20230104—01：44:31

#2 - 2023-01-04 15:56 - CDTS_TEST 刘勇

- Subject changed from 【AF】【EVT】【设置】【声音】用于播放音乐内容的设备在切换时，切换页面下沉 to 【AF】【EVT】【设置】【声音】【高概率

】用于播放音乐内容的设备在切换时，切换页面下沉

#3 - 2023-01-05 10:58 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

经分析，Settings 通过广播 MediaOutputConstants.ACTION_LAUNCH_MEDIA_OUTPUT_DIALOG 调起了 MediaOutputDialog，需从 SystemUI 中处理。
#4 - 2023-01-11 17:13 - CD FW 曹覃刚

- Due date set to 2023-01-17

- Status changed from New to ASSIGNED

#5 - 2023-01-16 19:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177044 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:QuickSettings: Fix the problem that the playback device selection dialog box occasionally jumps up and downTC-RID: 1201-0201903IssueID:

TS-R-BUG-115070Change-Id: Ia8af4e9599d90a65c29c4b812359ba86b339085d

#6 - 2023-01-16 19:57 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-17

- Root cause set to 原生问题，动态设置margin导致

#7 - 2023-01-30 18:18 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

1.30

验证通过

#8 - 2023-01-30 18:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
